@import url("https://fonts.googleapis.com/css2?family=Cormorant+Garamond:ital,wght@0,300;0,400;0,500;1,300&family=Zen+Old+Mincho:wght@400;500&display=swap");
.p-weddingday {
  position: relative;
  margin-bottom: 30px;
}
@media screen and (min-width: 1024px) {
  .p-weddingday {
    margin-bottom: 60px;
  }
}
.p-weddingday__timeline {
  width: 100%;
  position: relative;
  padding: 20px 0;
  display: flex;
  flex-direction: column;
  gap: 40px;
}
@media screen and (min-width: 1024px) {
  .p-weddingday__timeline {
    padding: 40px 0;
    gap: 80px;
  }
}
.p-weddingday__timeline > .timeline-line {
  content: "";
  position: absolute;
  top: 0;
  left: calc(4% - 1px);
  width: 2px;
  height: 100%;
  background: rgba(165, 143, 94, 0.5);
}
@media screen and (min-width: 769px) {
  .p-weddingday__timeline > .timeline-line {
    left: calc(50% - 1px);
  }
}
@media screen and (min-width: 1024px) {
  .p-weddingday__timeline > .timeline-line {
    left: calc(50% - 1.5px);
    width: 3px;
  }
}
.p-weddingday__entry {
  position: relative;
  display: flex;
  justify-content: space-between;
  flex-direction: column;
  gap: 15px;
  padding-left: 10%;
}
@media screen and (min-width: 769px) {
  .p-weddingday__entry {
    flex-direction: row;
    gap: inherit;
    padding-left: 0;
  }
}
.p-weddingday__entry:before {
  content: "";
  position: absolute;
  width: 15px;
  height: 15px;
  background-color: #AD996D;
  border-radius: 100%;
  top: 0;
  left: 4%;
  transform: translateX(-50%);
  z-index: 99;
}
@media screen and (min-width: 769px) {
  .p-weddingday__entry:before {
    left: 50%;
  }
}
@media screen and (min-width: 1024px) {
  .p-weddingday__entry:before {
    width: 30px;
    height: 30px;
  }
}
.p-weddingday__entry .entry-img {
  width: 100%;
}
@media screen and (min-width: 769px) {
  .p-weddingday__entry .entry-img {
    width: 47%;
  }
}
.p-weddingday__entry .entry-img .entry-img__inner {
  width: 100%;
  height: auto;
  display: grid;
  gap: 0.7cqw;
  container-type: inline-size;
}
.p-weddingday__entry .entry-img .entry-img__inner .timeline-img {
  overflow: hidden;
}
.p-weddingday__entry .entry-img .entry-img__inner .timeline-img img {
  width: 100%;
  height: 100%;
  display: block;
  object-fit: cover;
}
.p-weddingday__entry .entry-img .entry-img__inner.timeline1 {
  grid-template-columns: repeat(2, 1fr);
  grid-template-rows: repeat(2, 1fr);
}
.p-weddingday__entry .entry-img .entry-img__inner.timeline1 .timeline1-01 {
  width: 64cqw;
  aspect-ratio: 28/25;
  grid-row: span 2/span 2;
}
.p-weddingday__entry .entry-img .entry-img__inner.timeline1 .timeline1-02,
.p-weddingday__entry .entry-img .entry-img__inner.timeline1 .timeline1-03 {
  width: 34.571428571cqw;
  aspect-ratio: 242/195;
}
.p-weddingday__entry .entry-img .entry-img__inner.timeline1 .timeline1-03 {
  grid-column-start: 2;
}
.p-weddingday__entry .entry-img .entry-img__inner.timeline2 {
  grid-template-columns: repeat(2, 1fr);
}
.p-weddingday__entry .entry-img .entry-img__inner.timeline2 .timeline2-01 {
  width: 100cqw;
  aspect-ratio: 700/360;
  grid-column: span 2/span 2;
}
.p-weddingday__entry .entry-img .entry-img__inner.timeline2 .timeline2-02 {
  width: 64cqw;
  aspect-ratio: 448/220;
  grid-row-start: 2;
}
.p-weddingday__entry .entry-img .entry-img__inner.timeline2 .timeline2-03 {
  width: 34.571428571cqw;
  aspect-ratio: 242/220;
  grid-row-start: 2;
}
.p-weddingday__entry .entry-img .entry-img__inner.timeline3 {
  grid-template-columns: repeat(3, 1fr);
}
.p-weddingday__entry .entry-img .entry-img__inner.timeline3 .timeline3-01 {
  width: 100cqw;
  aspect-ratio: 700/360;
  grid-column: span 3/span 3;
}
.p-weddingday__entry .entry-img .entry-img__inner.timeline3 .timeline3-02,
.p-weddingday__entry .entry-img .entry-img__inner.timeline3 .timeline3-03,
.p-weddingday__entry .entry-img .entry-img__inner.timeline3 .timeline3-04 {
  width: 32.285714285cqw;
  aspect-ratio: 226/200;
  grid-row-start: 2;
}
.p-weddingday__entry .entry-img .entry-img__inner.timeline4-top {
  grid-template-columns: repeat(2, 1fr);
  grid-template-rows: 2fr;
}
.p-weddingday__entry .entry-img .entry-img__inner.timeline4-top .timeline4-01 {
  width: 40cqw;
  aspect-ratio: 280/360;
}
.p-weddingday__entry .entry-img .entry-img__inner.timeline4-top .timeline4-02 {
  width: 40cqw;
  aspect-ratio: 280/210;
  grid-column-start: 1;
  grid-row-start: 2;
}
.p-weddingday__entry .entry-img .entry-img__inner.timeline4-top .timeline4-03 {
  width: 58.571428571cqw;
  aspect-ratio: 410/580;
  grid-row: span 2/span 2;
  grid-column-start: 2;
  grid-row-start: 1;
}
.p-weddingday__entry .entry-img .entry-img__inner.timeline4-bottom {
  display: flex;
  justify-content: space-between;
}
.p-weddingday__entry .entry-img .entry-img__inner.timeline4-bottom .timeline4-04 {
  width: 64cqw;
  aspect-ratio: 448/220;
}
.p-weddingday__entry .entry-img .entry-img__inner.timeline4-bottom .timeline4-05 {
  width: 34.571428571cqw;
  aspect-ratio: 242/220;
}
.p-weddingday__entry .entry-img .entry-img__inner.timeline5 {
  grid-template-columns: repeat(2, 1fr);
}
.p-weddingday__entry .entry-img .entry-img__inner.timeline5 .timeline5-01 {
  width: 100cqw;
  aspect-ratio: 700/360;
  grid-column: span 2/span 2;
}
.p-weddingday__entry .entry-img .entry-img__inner.timeline5 .timeline5-02 {
  width: 64cqw;
  aspect-ratio: 448/220;
  grid-row-start: 2;
}
.p-weddingday__entry .entry-img .entry-img__inner.timeline5 .timeline5-03 {
  width: 34.571428571cqw;
  aspect-ratio: 242/220;
  grid-row-start: 2;
}
.p-weddingday__entry .entry-img .timeline4 {
  width: 100%;
  container-type: inline-size;
  display: flex;
  flex-direction: column;
  gap: 0.7cqw;
}
.p-weddingday__entry .entry-body {
  position: relative;
  width: 100%;
}
@media screen and (min-width: 769px) {
  .p-weddingday__entry .entry-body {
    width: 47%;
  }
}
.p-weddingday__entry .entry-body p {
  line-height: 1.7em;
}
.p-weddingday__entry .entry-title {
  width: 100%;
  margin-bottom: 10px;
}
@media screen and (min-width: 1024px) {
  .p-weddingday__entry .entry-title {
    position: absolute;
    top: 0;
  }
}
.p-weddingday__entry .entry-title h3 {
  font-size: clamp(2.2rem, 1.0613rem + 2.5806vw, 2.8rem);
  font-weight: 500;
  color: #A58F5E;
  margin: 0 0 5px;
  line-height: 1.2;
}
.p-weddingday__entry .entry-title h3 span {
  display: block;
  font-size: clamp(1.4rem, 1.2065rem + 0.2581vw, 1.6rem);
}
.p-weddingday__entry .entry-txt {
  container-type: inline-size;
}
@media screen and (min-width: 1024px) {
  .p-weddingday__entry .entry-txt {
    display: flex;
    height: 100%;
    flex-direction: column;
    justify-content: center;
  }
}
.p-weddingday__entry .entry-txt h4 {
  font-size: 4.4cqw;
  font-weight: 500;
  color: #534F4D;
  margin-bottom: 0.3em;
}
@media screen and (min-width: 1024px) {
  .p-weddingday__entry .entry-txt h4 {
    font-size: clamp(1.6rem, 1.4258rem + 1.0323vw, 2.2rem);
  }
}
.p-weddingday__entry .entry-txt p {
  font-size: 3.4cqw;
}
@media screen and (min-width: 1024px) {
  .p-weddingday__entry .entry-txt p {
    font-size: 1.5rem;
  }
}
@media screen and (min-width: 769px) {
  .p-weddingday__entry:nth-child(even) {
    flex-direction: row-reverse;
  }
  .p-weddingday__entry:nth-child(even) .entry-body, .p-weddingday__entry:nth-child(even) .entry-title {
    text-align: right;
  }
}
.p-weddingday__endtxt {
  padding-block: 2em 1em;
}
@media screen and (min-width: 769px) {
  .p-weddingday__endtxt {
    padding-block: 3em 2em;
  }
}
.p-weddingday__endtxt p {
  color: #231814;
  font-size: clamp(1.5rem, 1.4065rem + 0.2581vw, 1.6rem);
}
@media screen and (min-width: 769px) {
  .p-weddingday__endtxt p {
    text-align: center;
  }
}